Subject: RE: [Sipping] User=Phone/DialString and Pause and Wait

From: "Rosen, Brian" <[email-masked]>
Date: Thu, 4 Dec 2003 16:27:26 -0500

> > I think some phones try to be too configurable.
>  >
> > Our present systems, which to be sure usually work homogeneously
> > with our proxy, is zero touch.  Out of the box, plug in, and
> > logon (with a PC username and password). 
> 
> This is to register a PC softphone? Or to register a real sip phone?
Real phone - but a videophone

> 
> How do you enter a PC username and password into a phone with just a 
> number pad? Do you expect grandma to be able to do so?
Touch screen keyboard, but 99.9% of the time the username is defaulted,
Since it's a heck of a lot more reliable than the PC, you rarely
do this unless you actually roam.  When you roam to another site,
you have to type.  The payback, on the other hand is pretty large.
	One identity, one password, that you actually usually do memorize
	Automatic association with your PC for CTI stuff
	Complete personalization that really does roam correctly
Users like it a lot.

> 
>  > Everything is discovered.
> > We do in fact use a discoverable configuration mechanism, which
> > is currently proprietary, to deal with terminal specific 
> configuration.
> 
> Yeah. And it will of course continue to be proprietary until 
> there is a 
> standard. But if you have this, proprietary or standard, then 
> it can be 
> used to load dialplans into a phone. Then the issue of sending 
> dialstrings to the proxy becomes moot.
Depends.  On our system, its easy to put digitmap processing
in place because we have lots of code space and lots of horsepower.
Cheap phones have more problems, depending on how complex you want
the processor.  I gather that the current proposal is a regexp.
On the one hand, that's pretty easily liftable code, but it's not
very small.  When the proposal was 3 mechanisms (or was it 4),
I was really thinking that it would never get done in cheap phones.

I expect that long term we will in fact move to regexps in the phone,
but I also expect it will take a lot longer than you would like.

> 
> > Most of the personalization that we see in many other 
> brands of phones
> > we think is misplaced from the user to the phone.  Things like
> > speed dials, UI choices, etc belong to a user, and not a phone,
> > and should be downloaded when you authenticate, and not 
> when you boot 
> > the phone.  If you authenticate as the same user to a different 
> > phone, your personality should follow you.   But I digress.
> 
> No disagreement here. But this provides considerable latitude 
> in where 
> things are done. As long as the personalization info for the 
> user/phone 
> is managed centrally, it doesn't matter whether it is consumed by the 
> phone or a proxy.
This specific issue is a very nasty problem that consumed a lot of
arguments when we worked on roaming.  The fundamental question is:
	Is a dial plan site specific or user specific when you roam?

Generally, it's taken as site specific.  That means, for us, it
goes in the phone, rather than with the user personality stuff.
But a lot of users in our testing preferred that it be consistent
for them as they roamed, because they usually didn't know the
local dialing plan, but they did know their home plan.

Implementation of this is also pretty tricky; if you want caller-ID
correct on enterprise systems that aren't 100% VoIP, you end up
having to route to the home gateway for calls that are PSTN or
on any enterprise PBX.  But again, I digress.

YMMV

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP